public static interface SqsEndpointBuilderFactory.SqsBuilders
| Modifier and Type | Method and Description |
|---|---|
default SqsEndpointBuilderFactory.SqsEndpointBuilder |
awsSqs(String path)
AWS Simple Queue Service (SQS) (camel-aws-sqs)
Sending and receive messages to/from AWS SQS service.
|
default SqsEndpointBuilderFactory.SqsEndpointBuilder |
awsSqs(String componentName,
String path)
AWS Simple Queue Service (SQS) (camel-aws-sqs)
Sending and receive messages to/from AWS SQS service.
|
default SqsEndpointBuilderFactory.SqsEndpointBuilder awsSqs(String path)
aws-sqs:queueNameOrArn
Path parameter: queueNameOrArn (required)
Queue name or ARNpath - queueNameOrArndefault SqsEndpointBuilderFactory.SqsEndpointBuilder awsSqs(String componentName, String path)
aws-sqs:queueNameOrArn
Path parameter: queueNameOrArn (required)
Queue name or ARNcomponentName - to use a custom component name for the endpoint
instead of the default namepath - queueNameOrArnApache Camel